package ch.epfl.tpp;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public class OTPEncryptor {
    public static void main(String[] args) throws IOException {
        InputStream inputStream1 = new FileInputStream("otp.bin");
        InputStream inputStream2 = new FileInputStream("encrypted.bin");
        InputStream combinedStream = new XOrInputStream(inputStream1, inputStream2);
        Iterable<Byte> iterableCombinedStream = new InputStreamToIterable(combinedStream);
        OutputStream outputStream = new FileOutputStream("out.bin");
        for (byte b: iterableCombinedStream)
            outputStream.write(b);
        outputStream.close();
    }
}
